TypeScript 3.7.2 – Support for the experimental syntax ‘optionalChaining’ isn’t currently enabled

In my project I am using TS 3.7.2 which should support optional chaining. But when I try to use it like that: const state = urlParams.state?.toString() I get the error: Support for the experimental syntax ‘optionalChaining’ isn’t currently enabled Add @babel/plugin-proposal-optional-chaining (https://git.io/vb4Sk) to the ‘plugins’ section of your Babel config to enable transformation. I checked…

Permission denied with Firebase distribution android app using service account credentials mode

I’m trying to migrate from Fabric to Firebase since Fabric will not be available beyond March 31, 2020. I already have done the first steps: adding plugins and dependencies to gradle, adding analytics json file, even crash reporting, and all seems correct because I can see data in the Firebase console (analytics and crashes). But…

Error when installing osmnx (A GDAL API version must be specified) problem

I want to install osmnx, I wrote pip install osmnx in cmd, but it returns me an error: C:\Users\Horseman.mini>pip install osmnx Collecting osmnx Using cached https://files.pythonhosted.org/packages/69/77/98cbee7f94abe2c60013fd8751f2b2d6054d48078c61f9774cff0b341f43/osmnx-0.10-py2.py3-none-any.whl Requirement already satisfied: numpy>=1.16 in c:\users\horseman.mini\appdata\local\programs\python\python37\lib\site-packages (from osmnx) (1.17.4) Collecting networkx>=2.3 Using cached https://files.pythonhosted.org/packages/41/8f/dd6a8e85946def36e4f2c69c84219af0fa5e832b018c970e92f2ad337e45/networkx-2.4-py3-none-any.whl Requirement already satisfied: Shapely>=1.6 in c:\users\horseman.mini\appdata\local\programs\python\python37\lib\site-packages (from osmnx) (1.6.4.post2) Requirement already satisfied: requests>=2.21 in c:\users\horseman.mini\appdata\local\programs\python\python37\lib\site-packages…

Unit testing for spring boot RESTFUL Controller

I am trying to do unit testing for spring boot RESTFUL controller but I am receiving a null pointer exception. The application has a StudentController which depends on a StudentService. Here is the controller code: package com.demo.student.demo.controller; import com.demo.student.demo.annotation.ApiDescription; import com.demo.student.demo.entity.Student; import com.demo.student.demo.entity.StudentDto; import com.demo.student.demo.service.StudentService; import io.swagger.annotations.Api; import io.swagger.annotations.ApiOperation; import org.modelmapper.ModelMapper; import org.springframework.beans.factory.annotation.Autowired; import org.springframework.web.bind.annotation.*;…

White screen when attaching css to function.php

When i attach below line code i get white screen and in console log it is getting below error my browsers are up to date Code body:not(.no-transition) #wrapper, .animsition-overlay { position: relative; opacity: 0; -webkit-animation-fill-mode: both; animation-fill-mode: both; } Console log error ** JQMIGRATE: Migrate is installed, version 1.4.1 jquery-migrate.min.js:2:552 Animsition: Element does not exist…